/*
 * Created on 25. 8. 2017 18:29:24
 *
 */
package com.jh.common.web.list;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * The Interface DefaultSorting.
 *
 * @author Jan Hrabal
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD, ElementType.PARAMETER})
public @interface DefaultSorting {

	/**
	 * Field.
	 *
	 * @return the string
	 */
	String field();
	
	/**
	 * Trend.
	 *
	 * @return the sort trend
	 */
	SortTrend trend() default SortTrend.ASCENDING;
	
}
